Bug 244347 - misc/openvdb: replace dependency from python 2.7 to default 3.7
Summary: misc/openvdb: replace dependency from python 2.7 to default 3.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-23 20:06 UTC by VVD
Modified: 2020-04-02 01:32 UTC (History)
0 users

See Also:
yuri: maintainer-feedback+


Attachments
Upstream patch for support python 3 (1.60 KB, patch)
2020-04-01 18:54 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 VVD 2020-04-01 18:54:15 UTC
Created attachment 212949 [details]
Upstream patch for support python 3

Tested on 12.1 amd64.
Comment 2 Yuri Victorovich freebsd_committer 2020-04-01 20:06:14 UTC
Committed, thanks for the patch!
Comment 3 commit-hook freebsd_committer 2020-04-01 20:16:04 UTC
A commit references this bug:

Author: yuri
Date: Wed Apr  1 20:06:02 UTC 2020
New revision: 530238
URL: https://svnweb.freebsd.org/changeset/ports/530238

Log:
  misc/openvdb: Replace the dependency on python 2.7 with the default python (currently 3.x)

  PR:		244347
  Submitted by:	VVD <vvd@unislabs.com>

Changes:
  head/misc/openvdb/Makefile
  head/misc/openvdb/files/patch-openvdb_python_pyOpenVDBModule.cc
Comment 4 VVD 2020-04-01 23:05:13 UTC
Just for information there are newer versions: 6.2.0, 6.2.1 and 7.0.0.
Comment 5 Yuri Victorovich freebsd_committer 2020-04-02 01:32:54 UTC
(In reply to VVD from comment #4)

I updated misc/openvdb to 7.0.0.

Thanks for reminding me.


Yuri